gsw_SA_from_Sstar {gsw} | R Documentation

## Absolute Salinity from Preformed Salinity

### Description

Calculate Absolute Salinity from Preformed Salinity, pressure, longitude, and latitude.

### Usage

    gsw_SA_from_Sstar(Sstar, p, longitude, latitude)

### Arguments

`Sstar` | Preformed Salinity [ g/kg ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar
`longitude` | longitude in decimal degrees, positive to the east of Greenwich. (This is called `long` in the TEOS-10 Matlab code.)
`latitude` | latitude in decimal degrees, positive to the north of the equator. (This is called `lat` in the TEOS-10 Matlab code.)

### Details

If Sstar is a matrix and if its dimensions correspond to the lengths of longitude and latitude, then the latter are converted to analogous matrices with `expand.grid`.

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

Absolute Salinity [ g/kg ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_SA_from_Sstar.html

### See Also

Other things related to salinity: `gsw_C_from_SP`, `gsw_SA_from_SP_Baltic`, `gsw_SA_from_SP`, `gsw_SP_from_C`, `gsw_SP_from_SA`, `gsw_SP_from_SK`, `gsw_SP_from_SR`, `gsw_SP_from_Sstar`, `gsw_SR_from_SP`, `gsw_Sstar_from_SA`, `gsw_Sstar_from_SP`, `gsw_deltaSA_from_SP`

### Examples

    SP <- c(34.7115, 34.8912, 35.0247, 34.8436, 34.7291, 34.7197)
    p <- c(      10,      50,     125,     250,     600,    1000)
    lat <- c(     4,       4,       4,       4,       4,       4)
    long <- c(  188,     188,     188,     188,     188,     188)
    SA <- gsw_SA_from_Sstar(SP, p, long, lat)
    expect_equal(SA, c(34.711724663585905, 34.891561223296009, 35.025594598699882,
                       34.847235885385913, 34.736694493054166, 34.732387111902753))

[Package gsw version 1.0-5 Index]